#
# spec file for package libyajl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libyajl
Version:        1.0.11
Release:        1.3
%define soname 1
%define tag f4baae0
Summary:        Yet Another JSON Library 
# http://download.github.com/lloyd-yajl-%{version}-0-g%{tag}.tar.gz
Source:         lloyd-yajl-%{version}-0-g%{tag}.tar.bz2
Patch1:         libyajl-optflags.patch
Patch2:         libyajl-lib_suffix.patch
Source99:       %{name}-rpmlintrc
Url:            http://lloyd.github.com/yajl/
Group:          System/Libraries
License:        BSD3c
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison flex
BuildRequires:  cmake
BuildRequires:  gcc-c++ libstdc++-devel
BuildRequires:  glibc-devel make

%description
YAJL is a small event-driven (SAX-style) JSON parser written in ANSI C, and a
small validating JSON generator.

%package -n %{name}%{soname}

Summary:        Yet Another JSON Library 
Group:          System/Libraries

%description -n %{name}%{soname}
YAJL is a small event-driven (SAX-style) JSON parser written in ANSI C, and a
small validating JSON generator.

%package -n %{name}1-devel

Summary:        Yet Another JSON Library (Development Environment)
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}
Conflicts:      %{name}-devel

%description -n %{name}1-devel
YAJL is a small event-driven (SAX-style) JSON parser written in ANSI C, and a
small validating JSON generator.

This package provides the necessary environment for compiling and linking
against %{name}.

%package -n yajl
License:        BSD3c
Summary:        Yet Another JSON Library Tools
Group:          Productivity/Text/Utilities
Requires:       %{name}%{soname} = %{version}

%description -n yajl
YAJL is a small event-driven (SAX-style) JSON parser written in ANSI C, and a
small validating JSON generator.

This package provides a few command-line utilities for processing JSON files.

%prep
%setup -q -n "lloyd-yajl-%{tag}"
%patch1
%patch2

%build
LIBSUFFIX=$(echo "%{_lib}" | %__sed 's|^lib||')
%__mkdir build
pushd build
OPTFLAGS="%{optflags}" \
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX:PATH="%{_prefix}" \
    -DLIB_INSTALL_DIR="%{_libdir}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_STRIP="/usr/bin/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    ..

%__make %{?jobs:-j%{jobs}}
popd build

%install
pushd build
%makeinstall
popd build

%__rm "%{buildroot}%{_bindir}"/*
%__rm "%{buildroot}%{_libdir}/libyajl_s.a"

%post   -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc COPYING README TODO
%{_libdir}/libyajl.so.%{soname}
%{_libdir}/libyajl.so.%{soname}.*

%files -n %{name}1-devel
%defattr(-,root,root)
%{_includedir}/yajl
%{_libdir}/libyajl.so

%changelog
* Tue Dec 21 2010 pascal.bleser@opensuse.org
- merge yajl package from darix:
  * lib -> LIBDIR patch
  * -devel-static subpackage
* Wed Dec  1 2010 pascal.bleser@opensuse.org
- update to 1.0.11: no user-visible changes
- changes from 1.0.10:
  * yajl version number now programatically accessible
* Mon Jul 12 2010 pascal.bleser@opensuse.org
- initial package (1.0.9)
